version = "1.1"
container_url = "xgrand/r-bolero:${version}"

params.start_position_counts_out =""
process start_position_individuals{
  container = "${container_url}"
  label "small_mem_mono_cpus"
  tag "${barcode}"
  if (params.start_position_counts_out != "") {
    publishDir "results/${params.start_position_counts_out}", mode: 'copy'
  }
  input:
    tuple val(barcode), path(start_position_counts)

  output:
    path("${barcode}/*.pdf")
    path("${barcode}/*.png")
    path("${barcode}/*.tsv")
    tuple val(barcode), path("${barcode}/${barcode}_classification_of_reads_per_RNA.txt"), emit: classification_of_reads

  script:
    """
    mkdir ${barcode}
    cd ${barcode}/
    Rscript /Start_positions.R -i ../${start_position_counts} -b ${barcode}
    mv Rplots.pdf ${barcode}_Rplots.pdf
    """
}